context = context  # pylint: disable=undefined-variable
REQUEST = REQUEST  # pylint: disable=undefined-variable
import scotests.sco_fake_gen as sco_fake_gen  # pylint: disable=import-error


G = sco_fake_gen.ScoFake(context.Notes)
G.verbose = False

# --- Création d'un étudiant

etud = G.create_etud(
        code_nip="",
        nom="Poire",
        prenom="Kevin",
        code_ine="",
        civilite="M",
        etape="TST1",
        email="test1@localhost",
        emailperso="perso1@localhost",
        date_naissance="01/05/2001",
        lieu_naissance="Stains",
        dept_naissance="93",
        domicile="11, rue du test",
        codepostaldomicile="93430",
        villedomicile="Villetaneuse",
        paysdomicile="France",
        telephone="0102030405",
        typeadresse="domicile",
        boursier=None,
        description="etudiant test",
    )

print(etud)
print(" ")

info = context.Scolarite.etud_info(etud["etudid"], format = "json", REQUEST=REQUEST)
load_info = json.loads(info)
print(load_info)

#malgrè l'entrée de donnée dans les paramètres la fonction ne les prend pas en compte. Sauf pour date_naissance, 
#dept_naissance, nom et prenom, lieu_naissance et civilite la fonction crée aussi un code nip et ine donc pas de pb 
#pour ca.

print(" ")
print(etud["telephone"])
print(etud["domicile"])
print(etud["emailperso"])